%define	perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)

Summary:	An IRC chat program
Name:		hexchat
Version:	2.12.4
Release:	%mkrel 1
Group:		Networking/IRC
License:	GPLv2
Url:		http://hexchat.github.io
Source0:	http://dl.hexchat.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		hexchat-servlist.patch
Patch1:		hexchat-pci.ids-path.patch
Patch2:		hexchat-fix-translation.patch

BuildRequires:	bison
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsexy)
BuildRequires:	gettext-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	gnome-common

# To get the balloon alerts working
Requires:	libnotify

Obsoletes:	hexchat-doat < 2.12.4
Obsoletes:	xchat < 2.8.8-22
Obsoletes:	xchat-gnome < 0.26.1-23
Obsoletes:	xchat-gnome-autoaway < 0.26.1-23
Obsoletes:	xchat-gnome-notification < 0.26.1-23
Obsoletes:	xchat-gnome-notifyosd < 0.26.1-23
Obsoletes:	xchat-gnome-soundnotification < 0.26.1-23
Obsoletes:	xchat-gnome-tcl < 0.26.1-23
Obsoletes:	xchat-gnome-urlscraper < 0.26.1-23
Obsoletes:	xchat-tcl < 2.8.8-22

Provides:	xchat
Provides:	xchat-gnome

%description
HexChat is an IRC chat program. It allows you to join multiple IRC
channels (chat rooms) at the same time, talk publicly, private
one-on-one conversations etc.

HexChat is based on XChat, but unlike XChat it's completely free
for both Windows and Unix-like systems.

%package	devel
Summary:	HexChat header for plugin development
Group:		Development/C

Obsoletes:	xchat-devel < 2.8.8-22
Obsoletes:	xchat-gnome-devel < 0.26.1-23

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package	lua
Summary:	HexChat Lua plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	lua => 5.2

%description lua
Provides Lua scripting capabilities to HexChat.

%package	perl
Summary:	HexChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	perl-base = %{perl_version}

Obsoletes:	xchat-gnome-perl < 0.26.1-23
Obsoletes:	xchat-perl < 2.8.8-22
Provides:	xchat-gnome-perl
Provides:	xchat-perl

%description perl
Provides Perl scripting capability to HexChat.

%package	python
Summary:	HexChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xchat-gnome-python < 0.26.1-23
Obsoletes:	xchat-python < 2.8.8-22
Provides:	xchat-gnome-python
Provides:	xchat-python

%description python
Provides Python scripting capability to HexChat.

%package	checksum
Summary:	HexChat Checksum plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description checksum
Calculates checksum for DCC file transfers.

%package	fishlim
Summary:	HexChat FiSHLiM plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description fishlim
FiSHLiM is an HexChat plugin for FiSH IRC encryption.

%package	sysinfo
Summary:	SysInfo plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description	sysinfo
Display info about your hardware and OS.


%prep
%setup -q
%autopatch -p1

%build
./autogen.sh

%configure2_5x  \
	--enable-openssl \
	--enable-shm

%make_build


%install
# Remove COPYING
rm -f share/doc/COPYING

%make_install

%find_lang %{name}

# Add SVG for hicolor
%{__install} -D -m644 data/icons/hexchat.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/hexchat.svg

desktop-file-install \
  --add-category="GTK" \
  --add-category="IRCClient" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_includedir}
cp src/common/hexchat-plugin.h %{buildroot}%{_includedir}/

rm -rf %{buildroot}%{_libdir}/%{name}/plugins/*.la


%preun
%preun_uninstall_gconf_schemas apps_hexchat_url_handler


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc

%files lua
%{_libdir}/%{name}/plugins/lua.so

%files perl
%{_libdir}/%{name}/plugins/perl.so

%files python
%{_libdir}/%{name}/plugins/python.so

%files checksum
%{_libdir}/%{name}/plugins/checksum.so

%files fishlim
%{_libdir}/%{name}/plugins/fishlim.so

%files sysinfo
%{_libdir}/%{name}/plugins/sysinfo.so


%changelog
* Tue Jan 31 2017 shlomif <shlomif> 2.12.4-1.mga6
+ Revision: 1084374
- New version + rebuild for latest perl.

* Sat Nov 12 2016 akien <akien> 2.12.3-1.mga6
+ Revision: 1066881
- Version 2.12.3

* Tue Oct 11 2016 pterjan <pterjan> 2.12.2-2.mga6
+ Revision: 1060188
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Sun Oct 09 2016 sander85 <sander85> 2.12.2-1.mga6
+ Revision: 1059831
- Fix .desktop file translation
- New version: 2.12.2

* Wed May 04 2016 daviddavid <daviddavid> 2.12.1-5.mga6
+ Revision: 1009134
- rebuild for new perl 5.22.2

* Mon May 02 2016 sander85 <sander85> 2.12.1-4.mga6
+ Revision: 1008762
- New version: 2.12.1

* Wed Mar 02 2016 umeabot <umeabot> 2.10.2-4.mga6
+ Revision: 983461
- Rebuild for openssl

* Sat Dec 19 2015 sander85 <sander85> 2.10.2-3.mga6
+ Revision: 912280
- Rebuild for perl 5.22.1

* Fri Jun 26 2015 sander85 <sander85> 2.10.2-2.mga6
+ Revision: 844209
- Rebuild for perl 5.22

* Wed Nov 26 2014 sander85 <sander85> 2.10.2-1.mga5
+ Revision: 799429
- New version: 2.10.2

* Wed Oct 15 2014 umeabot <umeabot> 2.10.1-5.mga5
+ Revision: 747688
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.10.1-4.mga5
+ Revision: 726461
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.10.1-3.mga5
+ Revision: 680117
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 2.10.1-2.mga5
+ Revision: 660241
- Obsolete xchat and xchat-gnome

* Sat Aug 02 2014 sander85 <sander85> 2.10.1-1.mga5
+ Revision: 659191
- New version: 2.10.1

* Tue Jun 03 2014 sander85 <sander85> 2.10.0-2.mga5
+ Revision: 632589
- Rebuild for new perl

* Sun Jun 01 2014 ovitters <ovitters> 2.10.0-1.mga5
+ Revision: 630555
- update fix for svg icon addition
- new version 2.10.0

* Mon Oct 21 2013 umeabot <umeabot> 2.9.6.1-3.mga5
+ Revision: 536955
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 colin <colin> 2.9.6.1-2.mga4
+ Revision: 486020
- Enable libcanberra and libproxy support

* Tue Sep 24 2013 sander85 <sander85> 2.9.6.1-1.mga4
+ Revision: 485588
- New version: 2.9.6.1

* Thu Sep 12 2013 sander85 <sander85> 2.9.6-1.mga4
+ Revision: 478112
- New version: 2.9.6
- Rediff patches

* Fri Aug 23 2013 sander85 <sander85> 2.9.5-3.mga4
+ Revision: 470076
- Rebuild for new perl

* Wed May 29 2013 fwang <fwang> 2.9.5-2.mga4
+ Revision: 430392
- rebuild for new perl

* Tue Apr 02 2013 sander85 <sander85> 2.9.5-1.mga3
+ Revision: 407300
- New version: 2.9.5

* Mon Mar 18 2013 fwang <fwang> 2.9.4-5.mga3
+ Revision: 403718
- rebuild for new perl

* Tue Jan 29 2013 sander85 <sander85> 2.9.4-4.mga3
+ Revision: 393184
- Fix pci.ids path

* Tue Jan 29 2013 sander85 <sander85> 2.9.4-3.mga3
+ Revision: 393175
- Add SysInfo plugin (mga#8882)

* Sat Jan 12 2013 umeabot <umeabot> 2.9.4-2.mga3
+ Revision: 353181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 sander85 <sander85> 2.9.4-1.mga3
+ Revision: 336291
- New version: 2.9.4

* Wed Nov 07 2012 fwang <fwang> 2.9.3-2.mga3
+ Revision: 315719
- rebuild for new perl

* Mon Oct 22 2012 sander85 <sander85> 2.9.3-1.mga3
+ Revision: 309278
- New version: 2.9.3

* Tue Aug 28 2012 sander85 <sander85> 2.9.1-1.mga3
+ Revision: 284762
- Make #mageia default
- imported package hexchat

